[Development] Deprecating modules with 5.5

Florian Bruhin me at the-compiler.org
Wed Mar 18 08:39:28 CET 2015


* Knoll Lars <Lars.Knoll at theqtcompany.com> [2015-03-18 07:31:00 +0000]:
> On 18/03/15 07:44, "Bo Thorsen" <bo at vikingsoft.eu> wrote:
> 
> >Den 17-03-2015 kl. 23:45 skrev Thiago Macieira:
> >> On Tuesday 17 March 2015 17:14:38 Jan Kundrát wrote:
> >>> On Tuesday, 3 February 2015 08:33:46 CET, Knoll Lars wrote:
> >>>> * Qt WebKit
> [...]
> >>>
> >>> You're of course free to do whatever you want to do -- it's just that
> >>>the
> >>> project has promised that this won't happen.
> >> We promised not to break source or binary compatibility. Where are we
> >>doing
> >> that?
> >
> >Removing classes is as binary incompatible as you can possibly make it.
> 
> Deprecating an API is different from removing it. Deprecating is about
> asking people not to use this for new code/projects anymore.

I think that's the point Bo is trying to make - deprecating is fine
(though I'm unhappy with it as QtWebEngine doesn't exactly feel ready
yet), but removing it in 5.6 (as suggested in your original mail)
probably is not.

But if I understood correctly, the consensus here seems to be to
deprecate it in Qt 5.5 and remove it with Qt 6, which sounds much more
reasonable to me.

Florian

-- 
http://www.the-compiler.org | me at the-compiler.org (Mail/XMPP)
   GPG: 916E B0C8 FD55 A072 | http://the-compiler.org/pubkey.asc
         I love long mails! | http://email.is-not-s.ms/
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 819 bytes
Desc: not available
URL: <http://lists.qt-project.org/pipermail/development/attachments/20150318/a087dfc5/attachment.sig>


More information about the Development mailing list